class Admin::JournalPaperTypesController < OrbitMemberController
  before_action :allow_admin_only
  
  def new
    @paper_type = JournalPaperType.new
    @url = admin_journal_paper_types_path(@paper_type)
    render :layout=>false
  end

  def create
    @paper_type = JournalPaperType.new(paper_type_params)
    @paper_type.save
    @paper_types = JournalPaperType.all
    render :partial=>'index', :layout=>false
  end

  def edit
    @paper_type = JournalPaperType.find(params[:id])
    @url = admin_journal_paper_type_path(@paper_type)
    render :layout=>false
  end

  def update
    @paper_type = JournalPaperType.find(params[:id])
    @paper_type.update_attributes(paper_type_params)
    @paper_type.save
    @paper_types = JournalPaperType.all
    render :partial=>'index', :layout=>false
  end

  def destroy
    paper_type = JournalPaperType.find(params[:id])
    paper_type.destroy
    @paper_types = JournalPaperType.all
    render :partial=>'index', :layout=>false
  end

  private

  def paper_type_params
    params.require(:journal_paper_type).permit! rescue nil
  end
end
