class Admin::JournalTypesController < OrbitMemberController
  before_action :allow_admin_only
  
  def new
    @journal_type = JournalType.new
    @url = admin_journal_types_path(@journal_type)
    render :layout=>false
  end

  def create
    @journal_type = JournalType.new(journal_type_params)
    @journal_type.save
    @journal_types = JournalType.all
    render :partial=>'list', :layout=>false
  end

  def edit
    @journal_type = JournalType.find(params[:id])
    @url = admin_journal_type_path(@journal_type)
    render :layout=>false
  end

  def update
    @journal_type = JournalType.find(params[:id])
    @journal_type.update_attributes(journal_type_params)
    @journal_type.save
    @journal_types = JournalType.all
    render :partial=>'list', :layout=>false
  end

  def destroy
    journal_type = JournalType.find(params[:id])
    journal_type.destroy
    @journal_types = JournalType.all
    render :partial=>'list', :layout=>false
  end

  private

  def journal_type_params
    params.require(:journal_type).permit! rescue nil
  end
end
