Rails.application.routes.draw do
	locales = Site.find_by(site_active: true).in_use_locales rescue I18n.available_locales
	scope "(:locale)", locale: Regexp.new(locales.join("|")) do
    	namespace :admin do
        get 'writing_journal_setting' => "journal_papers#setting"
        get 'journal_papers/download_excel_format' => 'journal_papers#excel_format'
        post 'journal_papers/import_from_excel' => 'journal_papers#import_from_excel'

        resources :journal_papers do
          collection do
            post 'merge_process' => 'journal_papers#merge_process'
            get 'merge' => 'journal_papers#merge'
            get 'toggle_hide' => 'journal_papers#toggle_hide'
            get 'analysis'
            get 'analysis_report'
            get "download_excel"
          end
        end

        resources :members do
          collection do
            scope '(:name-:uid)' do
              resources :journal_papers do
                collection do
                  get 'frontend_setting' => 'journal_papers#frontend_setting'
                  post 'update_frontend_setting' => 'journal_papers#update_frontend_setting'
                end
              end
            end
          end
        end
        
  		  resources :journal_levels
  		  resources :journal_paper_author_types
        resources :journal_paper_types
  		  resources :journal_types
  		  resources :journal_paper_intros
    	end
      get "/xhr/personal_journal/get_fields_for_index" => "personal_journals#get_fields_for_index"
      post "/xhr/personal_journal/save_index_fields" => "personal_journals#save_index_fields"
	end
end
